speex (1.2.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1014554)
  * debian/upstream/signing-key.asc: Add upstream tarball signing key.
  * debian/watch: Monitor upstream signed tarball.
  * debian/patches/0001-CVE-2020-23903.patch: Dropped, merged.

 -- Boyuan Yang <byang@debian.org>  Sat, 17 Sep 2022 13:42:41 -0400

speex (1.2.0-1) unstable; urgency=medium

  * Upload to unstable. 

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Apr 2022 14:40:45 -0400

speex (1.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop all libspeexdsp packages, provided in a separate source package.
  * Drop Doxygen-related codes, upstream no longer provides Doxyfile.
  * debian/libspeex1.shlibs: Tighten to (>= 1.2~).
  * debian/patches/0002-debian-changes.patch: Dropped, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Apr 2022 18:05:04 -0400

speex (1.2~rc1.2-3) unstable; urgency=medium

  * debian/control: Correct Vcs-* fields. 

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Mar 2022 17:52:41 -0500

speex (1.2~rc1.2-2) unstable; urgency=medium

  * debian/control: Take over maint via ITS. (Closes: #1004992, #960501)
  * debian/upstream/metadata: Added (upstream GitLab repo).
  * debian/changelog: Cleanup trailing spaces.
  * debian/compat: Dropped, useless.
  * debian/:
    + Bump debhelper compat to v13. (Closes: #965827)
    + Bump Standards-Version to 4.6.0.
    + Apply "wrap-and-sort -abst".
  * debian/control:
    + Drop manual -dbg package. (Closes: #960498)
    + Add missing ${misc:Depends} placeholder.
    + Mark speex-doc as Multi-Arch: foreign.
    + Let speex suggests speex-doc (Closes: #805897).
    + debian/control: Drop ancient Conflicts fields.
  * debian/rules: Simplified using dh.
    + Do not set custom compile lags. Use default ones since they
      are now good enough.
    + Do not build extra sse2 library for i386. This greatly complicates
      package maintenance with little benefit, and also not really used
      by the OS.
    + Only use fixed point + arm4-asm optimization for armel. Do not use
      fixed point for armhf. (Closes: #736752)
      Speex 1.2.0 has newer options, but we need to use them after 1.2.0
      is packaged.
  * debian/source/format: Use "3.0 (quilt)".
  * debian/patches: Convert from 1.0-format direct changes.
    + debian/patches/0001-CVE-2020-23903.patch:
      Add patch from Ubuntu. (CVE-2020-23903)
  * debian/libspeex{1,dsp1}.shlibs: Set up file based on d/rules.
  * debian/speex-doc.manpages: Dropped. section 3 manpage has not been
    provided for a long time.
  * debian/speex-doc.doc-base: Correctly reference documentation in
    usr/share/doc/speex/.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Feb 2022 13:03:43 -0500

speex (1.2~rc1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Use dh_update_autotools_config to make the
    buildsystem recognize recent architectures like riscv64.
    (Closes: #894241)
  * debian/control: Update Vcs-* fields and use git packaging
    repository under Debian Salsa platform.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Sep 2019 16:16:35 -0400

speex (1.2~rc1.2-1) unstable; urgency=medium

  * Regenerate build system files, mostly to pull in a later libtool.m4
    which has fixes for building the ppc64le architecture.  Closes: #736753

 -- Ron Lee <ron@debian.org>  Tue, 26 Aug 2014 20:08:57 +0930

speex (1.2~rc1.1-1) unstable; urgency=low

  * Update for newer autoconf/libtool.  Closes: #699630
  * Fix the hardening LDFLAGS to actually work.

 -- Ron Lee <ron@debian.org>  Sun, 27 Oct 2013 02:36:32 +1030

speex (1.2~rc1-7) unstable; urgency=low

  * Minimal set of resampler RC fixes targeted for Wheezy.
  * Fixes a bug with selecting the resampler with the smallest memory footprint
    for some sample rate pairs.
  * Fixes a bug where the filter length may not have been a multiple of 8 for
    some sample rate pairs, as is needed for the SSE implementation to avoid
    the SSE operations reading past the end of the buffer.
  * Fixes a type mismatch in computing allocation sizes.  This should not be a
    problem on any currently existing Debian arch, but it was obviously wrong,
    and the fix is trivial and obviously right, so there's no point waiting for
    someone to hit it before we correct this.
  * Fixes the problem seen with some sample rate pairs if an integer number of
    samples are not processed every frame, leading to clicking or truncation.
    Closes: #689049

 -- Ron Lee <ron@debian.org>  Sun, 04 Nov 2012 15:09:07 +1030

speex (1.2~rc1-6) unstable; urgency=low

  * Build for multi-arch.  Closes: #637600

 -- Ron Lee <ron@debian.org>  Sun, 03 Jun 2012 06:17:12 +0930

speex (1.2~rc1-5) unstable; urgency=low

  * Build the fixed-point version for mips(el) too.
    Float performance there seems suspect, at least under some conditions.

 -- Ron Lee <ron@debian.org>  Wed, 23 May 2012 13:47:08 +0930

speex (1.2~rc1-4) unstable; urgency=low

  * Build with 'hardening' flags enabled.  Closes: #655880
  * Check the size of the header packet before we look inside it in
    speex_packet_to_header().  Which wasn't detected by the magic flags,
    but was spotted in an old-fashioned by-eye code review while sanity
    checking the new OggOpus spec.

 -- Ron Lee <ron@debian.org>  Tue, 22 May 2012 07:17:03 +0930

speex (1.2~rc1-3) unstable; urgency=low

  * Work around extra dh_install retardedness that using a higher compat
    level brought us.  We probably should just return to using cp instead.

 -- Ron Lee <ron@debian.org>  Thu, 15 Dec 2011 00:35:26 +1030

speex (1.2~rc1-2) unstable; urgency=low

  * Add a -dbg package.  Closes: #646035
  * Disable the arm4-asm optimisation for armhf, it wants to insist we use
    thumb2 code for that.  Closes: #651578, #651846

 -- Ron Lee <ron@debian.org>  Tue, 13 Dec 2011 23:09:39 +1030

speex (1.2~rc1-1) unstable; urgency=low

  * This one should be our release candidate for Lenny.
  * Fixes a memory leak in the echo canceller.
  * Less aggressive noise adaptation.
  * Adds the channel decorrelation interface, which completes the planned
    changes prior to freezing the 1.2 API.  This doesn't affect any existing
    code, so the possibilities for regression are slim.

 -- Ron Lee <ron@debian.org>  Thu, 24 Jul 2008 03:39:44 +0930

speex (1.2~beta4-2) unstable; urgency=low

  * Move the extra sse libs to /usr/lib/sse2.  That is a bit more elitist than
    we need to be, but the linker already looks there without adding yet another
    path permutation, and in practice most people who really care about how long
    this is going to take won't find that sets the bar too high for them at all.

    Actually, it's apparently ldconfig rather than the linker that is missing
    this path, but this will still do for now while people figure out if or when
    that should be fixed too.

 -- Ron Lee <ron@debian.org>  Wed, 04 Jun 2008 03:48:19 +0930

speex (1.2~beta4-1) unstable; urgency=low

  * Upstream snapshot release.
  * Fixes a speexdec regression causing all files to be decoded by as stereo
  * Better support for arch specific optimisations.  We build for both sse and
    487 on x86, and for fixed point with v4 asm for ARM.

 -- Ron Lee <ron@debian.org>  Wed, 04 Jun 2008 00:40:14 +0930

speex (1.2~beta3.2-1) unstable; urgency=low

  * New upstream snapshot.  Reverts an accidental API change in beta3.1
  * Conflicts with the packages known to be affected by the speexdsp split.
    Closes: #474253
  * Drop Uploaders that are no longer active, by request from #pkg-voip.
  * Enable sse support for amd64.

 -- Ron Lee <ron@debian.org>  Mon, 14 Apr 2008 23:22:26 +0930

speex (1.2~beta3.1.ds-1) unstable; urgency=low

  * Include .pc fixes accepted upstream and the upstream doxygen config
    from their git repo source.
  * Try to convince cdbs not to build the docs for arch specific builds...
  * That apparently cannot be done, so it's off to the bit bucket for this
    vile opiate of the clueless.  My patience with its stupidity is ended.
    Closes: #474017

 -- Ron Lee <ron@debian.org>  Thu, 03 Apr 2008 09:21:42 +0930

speex (1.2~beta3.1-1) experimental; urgency=low

  * New upstream snapshot.  Includes the API support required for mumble.
    Closes: #467361
  * Add a Homepage field and make the Vcs- fields less XS-ive.
    Thanks to Patrick Matthäi for spotting this.

 -- Ron Lee <ron@debian.org>  Fri, 21 Mar 2008 08:19:59 +1030

speex (1.2~beta3-1) unstable; urgency=low

  * New upstream release.  Splits the unstable API functions into their own
    library.  Apps which used them previously now need to link to libspeexdsp
    as well.
  * Fixes "Inconsistency in preprocessor API".  Closes: #439516
  * Add myself to uploaders, with the blessing of #debian-voip

 -- Ron Lee <ron@debian.org>  Wed, 19 Mar 2008 05:49:20 +1030

speex (1.2~beta2-3.1) experimental; urgency=low

  * Local backport.  no texlive build dep

 -- Ron Lee <ron@debian.org>  Wed, 28 Nov 2007 01:11:57 +1030

speex (1.2~beta2-3) experimental; urgency=low

  * debian/watch: Update.
  * Bump soname to reflect API change.
  * Add "This package contains Speex's documentation." to description of
    speex-doc (Closes: #425985)
  * Don't install misc.h.3 (Closes: #426064)

 -- Kilian Krause <kilian@debian.org>  Sat, 01 Sep 2007 13:27:48 +0200

speex (1.2~beta2-2) experimental; urgency=low

  * Fix build-depends: doxygen needs to be listed in Build-Depends as well as
    in Build-Depends-Indep according to policy. We don't just run the
    build-arch and binary-arch for binary-builds, still.
    - speex_1.2~beta2-1(experimental/powerpc/anakreon): Call of doxygen in
    wrong target (Closes: #429188)
  * Use ${binary:Version} for binNMU-safe uploads
    Add dpkg-dev (>= 1.13.19) to Build-Depends
  * Update Build-Depends on debhelper to allow use of debhelper.mk in CDBS.
  * Ditch direct Depends of speex on libspeex1 as it'll come through CDBS
    magic anyway.

 -- Kilian Krause <kilian@debian.org>  Sat, 18 Aug 2007 22:16:45 +0200

speex (1.2~beta2-1) experimental; urgency=low

  * New upstream release
  * Switch to cdbs
    - Provide debian/compat. lintian : debian-rules-sets-DH_COMPAT
    - Rework debian/*.install
    - Add debian/speex-doc.manpages debian/speex-doc.docs
    - change doxyfile OUTPUT_DIRECTORY = doc
  * Add libspeex-dev Depends: pkg-config
  * TeTeX transition: Add Build-Depends-Indep: texlive-extra-utils

 -- Mark Purcell <msp@debian.org>  Fri, 25 May 2007 10:21:16 +0100

speex (1.1.12-3) unstable; urgency=low

  * Ensure proper shlibs to circumvent problems like #403544.

 -- Kilian Krause <kilian@debian.org>  Wed, 27 Dec 2006 15:51:49 +0100

speex (1.1.12-2) unstable; urgency=low

  * Update debian/watch for numeric upstream
  * Add Depends: ${shlibs:Depends} to speex package
    - Fixes: Missing dependency on libogg0 (Closes: #372844)
  * debian/rules export DH_COMPAT=4
  * Ensure speex depends on exact version of libspeex1
    - Fixes: undefined symbol: speex_lib_get_mode (Closes: #341787)

 -- Mark Purcell <msp@debian.org>  Tue, 13 Jun 2006 04:06:23 +0100

speex (1.1.12-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 18 Feb 2006 12:22:57 +0000

speex (1.1.11.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Wed,  7 Dec 2005 23:22:21 +0000

speex (1.1.11-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 25 Nov 2005 11:29:35 -0500

speex (1.1.10-2) unstable; urgency=low

  * Add debian/watch with svn-uupgrade

 -- Mark Purcell <msp@debian.org>  Sun, 30 Oct 2005 21:13:44 +0000

speex (1.1.10-1) unstable; urgency=low

  * New upstream release (Closes: #300968)
  * Fix two encoding bugs (Closes: #307884)
  * Version libspeex1 depends (Closes: #306159)
  * Use dpatch in packaging
  * debian/patches/01_default-quality-manpage.dpatch
    manpage reports default quality in source
  * debian/patches/02_configurable-VAD.dpatch
    using integer percentage argument
  * Debian VoIP upload.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 15 Oct 2005 16:55:56 -0400

speex (1.1.6-2) unstable; urgency=low

  * out of experimental for iaxclient (Closes: #292548)
  * installs speex.pc in /usr/lib/pkgconfig (Closes: #267281)
  * implements documented SPEEX_GET_QUALITY (Closes: #271052)
  * update copyright file (Closes: #290207)
  * default encoding quality is 8 (Closes: #295552)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 26 Feb 2005 22:33:22 -0500

speex (1.1.6-1) experimental; urgency=low

  * New upstream release
  * Use DESTDIR instead of prefix for make install to keep libtool from adding
    a rpath.

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 12 Aug 2004 11:43:37 -0400

speex (1.0.rel.4-0.1) unstable; urgency=low

  * NMU rquested by maintainer.
  * New upstream release.
  * Use DESTDIR instead of prefix for make install to keep libtool from adding
    a rpath.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 24 Jul 2004 18:32:00 +0200

speex (1.1.5-1) experimental; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu,  8 Jul 2004 08:29:31 -0400

speex (1.1.3-1) experimental; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 25 Dec 2003 09:51:49 -0500

speex (1.1.2-1) experimental; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 20 Nov 2003 00:22:40 -0500

speex (1.1-1) experimental; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 21 Sep 2003 16:04:02 -0400

speex (1.0.rel.1-2) unstable; urgency=low

  * Update to policy version 3.6.0
  * Comply with policy section 8.5
  (Closes: #197289)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 12 Jul 2003 10:49:33 -0400

speex (1.0.rel.1-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri,  6 Jun 2003 01:17:25 -0400

speex (1.0.rel-4) unstable; urgency=low

  * make use of dh_makeshlibs (Closes: #187003)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon,  7 Apr 2003 17:52:48 -0400

speex (1.0.rel-3) unstable; urgency=low

  * libspeex-dev moves to new libdevel section

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 31 Mar 2003 17:51:01 -0500

speex (1.0.rel-2) unstable; urgency=low

  * Library policy: libspeex->libspeex1
  (Closes: #187003, #187004)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 31 Mar 2003 17:34:53 -0500

speex (1.0.rel-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 24 Mar 2003 07:19:31 -0500

speex (1.0.rc3-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed,  5 Mar 2003 21:59:13 -0500

speex (1.0.rc2-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 29 Jan 2003 21:38:44 -0500

speex (1.0.rc1-3) unstable; urgency=low

  * libtoolize, automake, and autoconf for better mips support
  * (closes: #177117)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 17 Jan 2003 09:44:01 -0500

speex (1.0.rc1-2) unstable; urgency=low

  * fixup vbr_nb_thresh array size in vbr.[ch]

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 17 Jan 2003 00:30:07 -0500

speex (1.0.rc1-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 16 Jan 2003 23:27:05 -0500

speex (1.0.beta4-1) unstable; urgency=low

  * New upstream release
  * Now with VAD - Voice Activity Detection and
    DTX - Discontinuous Transmission

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 20 Dec 2002 17:53:02 -0500

speex (1.0.beta3-1) unstable; urgency=low

  * New upstream release
  * These last new features before 1.0 are a new "ultra-wideband"
    mode for encoding at 32 kHz (up to 48 kHz) and an intensity stereo mode.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 11 Nov 2002 08:15:08 -0500

speex (1.0.beta2-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 28 Oct 2002 16:32:30 -0500

speex (1.0.beta1+-3) unstable; urgency=low

  * speex depends upon libspeex (Closes: #164824)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 15 Oct 2002 12:09:27 -0400

speex (1.0.beta1+-2) unstable; urgency=low

  * Correct doxygen invocation from debian/rules

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 14 Oct 2002 19:42:55 -0400

speex (1.0.beta1+-1) unstable; urgency=low

  * Get the good bits in with a newer version number.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 14 Oct 2002 18:52:54 -0400

speex (1.0beta1-1) unstable; urgency=low

  * builds with pbuilder and without automake now.
  * New Debian package. (Closes: #160609)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 12 Oct 2002 02:03:31 -0400

speex (1.0.beta1-1) unstable; urgency=low

  * New Debian package. (Closes: #160609)
  * Xiph.org hosted upstream
  * License changed to BSD

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 11 Oct 2002 13:12:08 -0400

speex (0.8.1-1) unstable; urgency=low

  * New Debian package. (Closes: #160609)
  * For use by openh323 and GnomeMeeting
  * Update to 0.8.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 07 Oct 2002 21:40:26 -0400

speex (0.8.0-1) unstable; urgency=low

  * Update to 0.8.0

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue,  3 Sep 2002 22:06:32 -0400

speex (0.5.0-1) unstable; urgency=low

  * Initial Release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 16 Jul 2002 22:02:40 -0400

